Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 370771 - kdeedu: ppc, he hates me
Summary: kdeedu: ppc, he hates me
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdeedu
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64 F-ExcludeArch-ppc
TreeView+ depends on / blocked
 
Reported: 2007-11-08 03:16 UTC by Rex Dieter
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-10 04:14:24 UTC


Attachments (Terms of Use)

Description Rex Dieter 2007-11-08 03:16:03 UTC
ppc builds fail
http://koji.fedoraproject.org/koji/taskinfo?taskID=230111

Comment 1 Rex Dieter 2007-11-08 04:06:23 UTC
ppc64 too, ugh
http://koji.fedoraproject.org/koji/taskinfo?taskID=230284

Comment 2 Deji Akingunola 2007-11-08 04:50:19 UTC
I think something is wrong with koji and/or qt (or maybe kdelibs). bibletime
fails to build for me, failing on either x86_64 or ppc or ppc64 on 3 different
occasions, while it was successful on others.
http://koji.fedoraproject.org/koji/taskinfo?taskID=230231
http://koji.fedoraproject.org/koji/taskinfo?taskID=230226
http://koji.fedoraproject.org/koji/taskinfo?taskID=230205

Comment 3 Kevin Kofler 2007-11-08 12:26:13 UTC
The offending line is this:
class LINKAGE SkipListElement{
It says "invalid function declaration", so apparently it thinks you're trying 
to declare a function called "SkipListElement" which returns a "class LINKAGE". 
This means "LINKAGE" probably isn't defined.

Comment 4 Rex Dieter 2007-11-08 13:06:00 UTC
But, but, but, then who/why doesn't this same declaration work on i386, x86_64?

When I find a few spare moments, I'll have to go take much closer look.

Comment 5 Kevin Kofler 2007-11-08 15:46:44 UTC
Whatever is supposed to declare LINKAGE probably fails to do so on all arches.

Comment 6 Rex Dieter 2007-11-08 15:51:48 UTC
yep, looks that way.

Comment 7 Rex Dieter 2007-11-10 04:14:24 UTC
Looks like kdeedu-3.95.2 behaves better,
http://koji.fedoraproject.org/koji/taskinfo?taskID=233973


Note You need to log in before you can comment on or make changes to this bug.